[Modding] 1pp v4.2.0 Beta

Jastey

Matron Modderholic
Registriert
16.05.2004
Beiträge
9.709

Maus

Senior Member
Registriert
07.08.2002
Beiträge
7.817
Ähm, übersetzt ich jetzt die 4.0 für umsonst??
 

Jastey

Matron Modderholic
Registriert
16.05.2004
Beiträge
9.709
Ich dachte, dass ist die Version?
 

Maus

Senior Member
Registriert
07.08.2002
Beiträge
7.817
Ok, ich hab immer nur viel 1ppv4 geschrieben ;)
 

Lumorus

Wachender
Registriert
03.03.2011
Beiträge
3.250
Also in dieser Version nun habe ich zumindest noch keine deutsche Übersetzung gesehen.
 

Lumorus

Wachender
Registriert
03.03.2011
Beiträge
3.250
Ich benutze die neue pp1 schon eine Weile und konnte keine Probleme mit BGT feststellen.
Die Komponenten lassen sich gut installieren, allerdings ist mir aufgefallen, dass die Komponenten 1ppv4: Female Dwarves und 1ppv4: Thieves Galore nicht vorhanden zu sein scheinen, was ich sehr schade finde...
 

Belryll

Senior Member
Registriert
05.01.2009
Beiträge
136
Mit der Installation der 1pp v4.2.0 Beta hatte ich beim letzten Installationsdurchgang tatsächlich Schwierigkeiten. Einige Files fehlten, auf die während der Installation zugegriffen werden sollte. Die hatte ich dann einfach von einer früheren Version rüberkopiert und danach funktionierte die Installation reibungslos. Ich müsste aber raten, welche das waren. Der Ordner "solars" könnte es gewesen sein.
Möglicherweise ist das Problem aber mittlerweile behoben, denn wenn ich das richtig verfolgt habe, wurde der gesamte Installationsvorgang inzwischen mehr oder minder automatisiert?
 

Dabus

Senior Member
Registriert
18.11.2007
Beiträge
5.086
@Lumeros: Ich installiere zwar nichts, aber lt Sourcecode (TP2 ) sollten die Zwerginnen (ab Zeile 125) auch mit BGT zur Installation bereit stehen, Thieves Galore (ab Zeile 160) gibt es tatsächlich für ungemoddete Spiele oder Tutu.
Relevant sind die GAME_IS Zeilen zusammen mit den REQUIRE_PREDICATE Mod- bzw. Komponenten-Vorgaben.
Und wenn ich es nicht falsch sehe, dann müsste die Vorgabe 101 in Zeile 49 bzw. dann ab 69 installiert werden.
 
Zuletzt bearbeitet:

Lumorus

Wachender
Registriert
03.03.2011
Beiträge
3.250
@Morywen ich verlege das mit den nicht erscheinenden Komponenten mit den Zwerginnen-Animationen und Thieves Galore mal hierher.

Komisch, als ich für GB die WeiDu 246 genommen habe, standen die oben genannten Komponenten zu Verfügung ...
Könnte das auch wieder ein Fehler in WeiDu 247 sein?

Eine andere Möglichkeit wäre, dass ich es nicht mit dem Bigworld Fixpack oder Textpack benutzen darf ...
 

Morywen

Senior Member
Registriert
18.10.2017
Beiträge
1.543
@Lumorus Die letzte Installation habe ich über die PI laufen lassen. Ich kann das morgen Mal von Hand testen.
 

Morywen

Senior Member
Registriert
18.10.2017
Beiträge
1.543
@Lumorus Der Fehler mit den fehlenden Komponenten hängt tatsächlich an der WeiDu 247. Ich habe auf eine BGT ohne ToBex installiert. Mit der 246 Version tauchen die Komponenten Female Dwarves und Thieves Galore auf, unter 247 nicht. Diesmal könnte ich dafür die Spielkomponenten installieren, ohne dass es einen Absturz in der ersten Cutszene gab.
Bei der PI hatte ich einfach Haken an alle 1PP Komponenten gemacht und dann lassen sie sich offensichtlich auch installieren. Das ist sehr seltsam. Da müsste man Mal Wiso fragen oder Gwendolyne, ob sie eine Idee hätten, woran das liegt.
 

Lumorus

Wachender
Registriert
03.03.2011
Beiträge
3.250
Danke fürs ausprobieren, @Morywen!
Spielt da TobEx eine Rolle, wenn die WeiDu geupgradet wird? :confused: Bei mir fängt das schon mit MKs_BG2Textpatch_Revised-v3.4 an.

Bei der PI hatte ich einfach Haken an alle 1PP Komponenten gemacht
Was ist PI genau? :shine:

Da müsste man Mal Wiso fragen oder Gwendolyne, ob sie eine Idee hätten, woran das liegt.
Vielleicht würde es etwas helfen, WeiDu 247 allgemein wieder auf 246 zurückzustufen, bis man untersuchen konnte, was bei der 247 schiefläuft ... ich denke mittlerweile, dass sie sogar für mehr Probleme als gedacht verantwortlich ist - die Abstürze, die ich beim betreten einiger Mod-Gebiete hatte (TDD, Tangle Island) oder dass manche Symbole nicht richtig installiert werden.
 

Maus

Senior Member
Registriert
07.08.2002
Beiträge
7.817
PI = Project Infinity (das neue Installationstool)
 

Morywen

Senior Member
Registriert
18.10.2017
Beiträge
1.543
Nein, ToBex spielt da keine Rolle. Ich wollte das nur erwähnen, dass es nicht ein Problem ist, dass z. B. mit dem patchen der BGMain.exe zusammenhängt.
PI steht für Project Infinity, wo Alien sich bemüht einen Nachfolger für die BWS zu erstellen. Im Moment ist es noch in der Beta und ist auch noch weniger bequem, weil man die Installationsreihenfolge selbst erstellen muss. Da ich für die FAQ viel experimentiert habe, habe ich inzwischen eine, die für die BGT relativ gut zu funktionieren scheint.
Wisp arbeitet wohl an der 248. Es ist wahrscheinlich aber nicht so einfach, das Problem mit dem Zeichensatz und eventuell anderer problematischer Änderungen des zugrundeliegenden Programms zu beseitigen.
 

Lumorus

Wachender
Registriert
03.03.2011
Beiträge
3.250
@Maus und @Morywen Danke für die Erklärung :)

Wisp arbeitet wohl an der 248. Es ist wahrscheinlich aber nicht so einfach, das Problem mit dem Zeichensatz und eventuell anderer problematischer Änderungen des zugrundeliegenden Programms zu beseitigen.
Gut zu wissen, danke!
Ich frage mich, ob es trotzdem für Wisp möglich wäre, solange die 274 zu deaktivieren, wenn sie solche Probleme verursacht?
 

Morywen

Senior Member
Registriert
18.10.2017
Beiträge
1.543
Ich frage mich, ob es trotzdem für Wisp möglich wäre, solange die 274 zu deaktivieren, wenn sie solche Probleme verursacht?
Das Problem ist, dass englische Mods ja schon mit der 247 kommen. Dann müsste man die Autoupdate-Funktion bei der WeiDu abstellen. Oder die fraglichen .exe Dateien auf 246 downgraden. Bei nicht automatischen Update wäre die Frage, ob das bei älteren Mod, die noch mit sehr alten Versionen kommen günstig ist, da dies eventuell auch Probleme verursachen kann.
 
Oben